#!/bin/sh

# author <samu.varjonen (at) hiit.fi>
#
# This script takes one command line argument, which is the path to the file to be parsed
# This script sets the LANG for the files so the sed script does not go into indefinite loop.
# This script removes the c and c++ comments (comment_script.sed)
# This script splits the files to words (cparser)
# This script uses awk to count the word frequences in the file.
#
# Depending on the system this may work or it does not. 
# Change the UTF-8 and ISO-8859 accordingly.
# My safest bet seems to be to adopt ISO-8859 at least sed does understand
# the encodings of the characters outside of the ASCII. Moreover, we are
# not even intereseted in the actual interpretation of the characters 
# as the indicators are full ASCII.

LANG=fi_FI.ISO-8859 ./comment_script.sed $1 | ./cparser | awk -f wordfreq.awk
#LANG=fi_FI.UTF-8 ./comment_script.sed $1 | ./cparser | awk -f wordfreq.awk
